@ECHO OFF
::===================================================
:: CREATED A XML-SCHEMA WITH JAVA ANNOTATION CLASSES
:: JDK-VERSION MUST 1.6.x or HIGHER
::===================================================
:START

  TITLE CREATED A XML-SCHEMA WITH JAVA ANNOTATION CLASSES
  CLS
  
  ECHO ===================================================
  ECHO  CREATED A XML-SCHEMA WITH JAVA ANNOTATION CLASSES
  ECHO  JDK-VERSION MUST 1.6.x or HIGHER
  ECHO  (c)2007 - marc at bouquet dot ch
  ECHO ===================================================
  ECHO.

  ECHO ===================================================
  ECHO. M E N U 
  ECHO ---------------------------------------------------
  ECHO  1. Start Application
  ECHO  2. Help
  ECHO  3. Quit
  ECHO ===================================================
  ECHO.

  SET /p MENU=Please choose a menu option: 
  SET MENU=%MENU:~0,1%
  
  IF "%MENU%"=="1" GOTO SET_PARAM
  IF "%MENU%"=="2" GOTO HELP
  IF "%MENU%"=="3" GOTO INFO


::--------------------------------------------------------
:: set parameter(s)
::--------------------------------------------------------
:SET_PARAM

  IF "%1"=="" GOTO SET_PARAM_PATH
  
::--------------------------------------------------------
:: set parameter for file path
::--------------------------------------------------------
:SET_PARAM_PATH
	
  ECHO.
  SET /p PARAM_PATH=path to java classes is: 
  SET PARAM_PATH=%PARAM_PATH%

  GOTO CHECK


::--------------------------------------------------------
:: parameter checker
::--------------------------------------------------------
:CHECK
  
  CLS
  ECHO.
  ECHO ===================================================
  ECHO. Y O U R   P A R A M E T E R
  ECHO ---------------------------------------------------
  ECHO  PATH:       %PARAM_PATH%
  ECHO ===================================================
  ECHO.
  
  GOTO JDK


::--------------------------------------------------------
:: set java home
::--------------------------------------------------------
:JDK

if exist C:\Programme\Java\jdk1.6.0\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.6.0
) else if exist C:\Programme\Java\jdk1.5.0_10\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.5.0_10
) else (
  ECHO ---------------------------------------------------
  ECHO  JDK 6.x not found, please check the installation
  ECHO  or the configuration in this batch file!
  ECHO  Program can not started!
  ECHO ---------------------------------------------------
  ECHO.
  
  GOTO END
)

  ECHO ---------------------------------------------------
  ECHO  JAVA_HOME is: %JAVA_HOME%
  ECHO ---------------------------------------------------
  ECHO.
  
  GOTO RUNNER


::----------------------------------------------------------------------------
:: runner
::----------------------------------------------------------------------------
:RUNNER

  %JAVA_HOME%/bin/schemagen.exe -d %PARAM_PATH% %PARAM_PATH%\*.java

  PAUSE
  GOTO START
 

::----------------------------------------------------------------------------
:: help
::----------------------------------------------------------------------------
:HELP

  CLS
  ECHO ===================================================
  ECHO. HELP FOR CREATED A XML-SCHEMA
  ECHO ---------------------------------------------------
  ECHO.
  ECHO  The Batch-Application usage for run
  ECHO  p1 = path to java class files   [c:\temp]
  ECHO.
  ECHO ===================================================
  ECHO.
  
  PAUSE
  GOTO START


::----------------------------------------------------------------------------
:: info
::----------------------------------------------------------------------------
:INFO
  
  ECHO.
  ECHO ===================================================
  ECHO  GOOD BYE, HAVE A NICE DAY
  ECHO ===================================================
  ECHO.

  GOTO END
  
  
::----------------------------------------------------------------------------
:: end
::----------------------------------------------------------------------------
:END

PAUSE

