package ch.bouquet.xml;

import javax.xml.bind.annotation.*;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "authorType", propOrder = {
    "firstname",
    "middlename",
    "lastname"
})
public class AuthorType {

  @XmlElement(required = true)
  protected String firstname;

  protected String middlename;

  @XmlElement(required = true)
  protected String lastname;

  @XmlAttribute(required = true)
  protected String id;
}
