package ch.bouquet.xml;
import javax.xml.bind.annotation.*;

@XmlEnum
public enum BindingType {
    @XmlEnumValue("Hardcover")
    HARDCOVER("Hardcover"),
    @XmlEnumValue("Paperback")
    PAPERBACK("Paperback");
    private final String value;

    BindingType(String v) {
        value = v;
    }
    public String value() {
        return value;
    }
    public static BindingType fromValue(String v) {
        for (BindingType c: BindingType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
