package ch.bouquet.xml;

import java.util.Date;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bookType", propOrder = {
    "title",
    "subtitle",
    "author",
    "publisher",
    "edition",
    "year",
    "binding",
    "pages",
    "isbn"
})
public class BookType {

  @XmlElement(required = true)
  protected String title;

  @XmlElement(required = true)
  protected String subtitle;

  @XmlElement(required = true)
  protected AuthorType author;

  @XmlElement(required = true)
  protected PublisherType publisher;

  @XmlElement(required = true)
  protected String edition;

  @XmlElement(required = true)
  protected Date year;

  @XmlElement(required = true)
  protected BindingType binding;

  @XmlElement(required = true)
  protected int pages;

  @XmlElement(required = true)
  protected String isbn;
}
