@ECHO OFF
CLS
::===================================================
:: CREATED JAXB JAVA CLASSES WITH A XML-SCHEMA
:: JDK-VERSION MUST 1.6.x or HIGHER
::===================================================
:START

  TITLE CREATED JAXB JAVA CLASSES WITH A XML-SCHEMA
  
  CLS
  ECHO ===================================================
  ECHO  CREATED JAXB JAVA CLASSES WITH A XML-SCHEMA
  ECHO  JDK-VERSION MUST 1.6.x or HIGHER
  ECHO  (c)2007 - marc at bouquet dot ch
  ECHO ===================================================
  ECHO.

  ECHO ===================================================
  ECHO. M E N U 
  ECHO ---------------------------------------------------
  ECHO  1. Start Application
  ECHO  2. Help
  ECHO  3. Quit
  ECHO ===================================================
  ECHO.

  SET /p MENU=Please choose a menu option: 
  SET MENU=%MENU:~0,1%
  
  IF "%MENU%"=="1" GOTO SET_PARAM
  IF "%MENU%"=="2" GOTO HELP
  IF "%MENU%"=="3" GOTO INFO


::--------------------------------------------------------
:: set parameter(s)
::--------------------------------------------------------
:SET_PARAM

  IF "%1"=="" GOTO SET_PARAM_PACKAGE  
  IF "%2"=="" GOTO SET_PARAM_PATH
  IF "%3"=="" GOTO SET_PARAM_SCHEMA
  

::--------------------------------------------------------
:: set parameter for package
::--------------------------------------------------------
:SET_PARAM_PACKAGE
	
  ECHO.
  SET /p PARAM_PACKAGE=package of java classes is: 
  SET PARAM_PACKAGE=%PARAM_PACKAGE%


::--------------------------------------------------------
:: set parameter for file path
::--------------------------------------------------------
:SET_PARAM_PATH

  SET /p PARAM_PATH=path for java classes is:   
  SET PARAM_PATH=%PARAM_PATH%


::--------------------------------------------------------
:: set parameter for schema name
::--------------------------------------------------------
:SET_PARAM_SCHEMA

  SET /p PARAM_SCHEMA=XML-Schema Name is:         
  SET PARAM_SCHEMA=%PARAM_SCHEMA%


  GOTO CHECK


::--------------------------------------------------------
:: parameter checker
::--------------------------------------------------------
:CHECK
  
  CLS
  ECHO.
  ECHO ===================================================
  ECHO. Y O U R   P A R A M E T E R S
  ECHO ---------------------------------------------------
  ECHO  PATH:       %PARAM_PATH%
  ECHO  XML-SCHEMA: %PARAM_SCHEMA%
  ECHO  PACKAGE:    %PARAM_PACKAGE%
  ECHO ===================================================
  ECHO.
  
  GOTO JDK


::--------------------------------------------------------
:: set java home
::--------------------------------------------------------
:JDK

if exist C:\Programme\Java\jdk1.6.0\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.6.0
) else if exist C:\Programme\Java\jdk1.5.0_10\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.5.0_10
) else (
  ECHO ---------------------------------------------------
  ECHO  JDK 6.x not found, please check the installation
  ECHO  or the configuration in this batch file!
  ECHO  Program can not started!
  ECHO ---------------------------------------------------
  ECHO.
  
  GOTO END
)

  ECHO ---------------------------------------------------
  ECHO  JAVA_HOME is: %JAVA_HOME%
  ECHO ---------------------------------------------------
  ECHO.
  
  GOTO RUNNER


::----------------------------------------------------------------------------
:: runner
::----------------------------------------------------------------------------
:RUNNER

  %JAVA_HOME%/bin/xjc.exe -p %PARAM_PACKAGE% %PARAM_PATH%\%PARAM_SCHEMA%.xsd -d %PARAM_PATH%

  PAUSE
  GOTO START
 

::----------------------------------------------------------------------------
:: help
::----------------------------------------------------------------------------
:HELP

  CLS
  ECHO ===================================================
  ECHO. HELP FOR CREATED JAXB JAVA CLASSES
  ECHO ---------------------------------------------------
  ECHO.
  ECHO  The Batch-Application usage for run
  ECHO  p1 = package name               [ch.bouquet.xml]
  ECHO  p2 = path to java class files   [c:\temp]
  ECHO  p3 = schema name without .xsd   [schema]
  ECHO.
  ECHO ===================================================
  ECHO.
  
  PAUSE
  GOTO START


::----------------------------------------------------------------------------
:: info
::----------------------------------------------------------------------------
:INFO
  
  ECHO.
  ECHO ===================================================
  ECHO  GOOD BYE, HAVE A NICE DAY
  ECHO ===================================================
  ECHO.

  GOTO END
  
  
::----------------------------------------------------------------------------
:: end
::----------------------------------------------------------------------------
:END

PAUSE